Subject: Re: [BISECTED] git-svn: "Failed to read object ..." during clone

From: Sam Vilain <[email-masked]>
Date: Wed, 28 May 2008 19:28:13 +1200

Junio C Hamano wrote:
> Heh, I should have been more careful.  The series introduces Git::cat_blob
> that returns the size of a blob but the interface is broken and signals
> error by returning zero.  e69de29bb2d1d6434b8b29ae775ad8c2e48c5391 is a
> zero sized blob.
> 
> Would this be enough?
>  		my $size = $::_repository->cat_blob($fb->{blob}, $base);
> -		die "Failed to read object $fb->{blob}" unless $size;
> +		die "Failed to read object $fb->{blob}" if ($size < 0);

Heh.  This sort of thing is why perl has "undef"; you could make that
"unless defined $size" and "return undef" in the functions.

Sam